### Function

# PangoOT.Ruleset.get_for_description

#### Declaration [src]

    const PangoOTRuleset*
    pango_ot_ruleset_get_for_description (
      PangoOTInfo* info,
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Returns a ruleset for the given OpenType info and ruleset description. Rulesets are created on demand using `pango_ot_ruleset_new_from_description()`. The returned ruleset should not be modified or destroyed.

The static feature map members of `desc` should be alive as long as `info` is.

#### Parameters

`info` | `PangoOTInfo`
| a `PangoOTInfo`.
| Ownership is not transferred to the callee
`desc` | `PangoOTRulesetDescription`
| a `PangoOTRulesetDescription`.
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoOTRuleset`
the `PangoOTRuleset` for `desc`. This object will have the same lifetime as `info`.
Ownership is not transferred to the caller